LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XRemoteServiceManagerProvider Interface Referencepublished

Allows creation of the remote service manager for given session. More...

`import"XRemoteServiceManagerProvider.idl";`

Inheritance diagram for XRemoteServiceManagerProvider:

## Public Member Functions
com::sun::star::lang::XMultiServiceFactory | getServiceManager ([in] any sessionData)
| Returns the remote service manager for the given session. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Allows creation of the remote service manager for given session.

This interface is oriented for communication with browsers plugins.

Deprecated:

## Member Function Documentation

com::sun::star::lang::XMultiServiceFactory getServiceManager | ( | [in] any | sessionData | ) |

Returns the remote service manager for the given session.

Parameters

  sessionData | [in]: contains the sessiondata (host, user, ticket)

The documentation for this interface was generated from the following file:

- com/sun/star/mozilla/XRemoteServiceManagerProvider.idl